import { CloseIcon, HamburgerIcon } from "@chakra-ui/icons";
import { Box, Center, Container, DarkMode, Flex, HStack, Icon, IconButton, Image, Link, useColorMode, useDisclosure, VStack, } from "@chakra-ui/react";
import { RiMoonLine, RiSunLine } from "react-icons/ri";
import { ProfileButton } from "../../../src/components/ProfileButton";
import React from "react";
import { route, routes } from "../../routes";
const NavLink = ({ href, children }) => (React.createElement(Link, { px: 2, py: 1, href: href, fontSize: "sm" }, children));
export const Header = () => {
    const { isOpen, onOpen, onClose } = useDisclosure();
    const { colorMode, toggleColorMode } = useColorMode();
    const Links = [
        { link: "Chats", href: route(routes.chats) },
        { link: "Launchpad", href: "https://app.strataprotocol.com/launchpad" },
        { link: "Blog", href: "https://blog.strataprotocol.com" },
    ];
    return (React.createElement(React.Fragment, null,
        React.createElement(Box, { zIndex: 100, color: "white", bg: "black.300", w: "full", borderBottom: "1px", borderBottomColor: "black.500" },
            React.createElement(Center, { w: "full", height: "56px", alignItems: "center" },
                React.createElement(Container, { maxW: "container.lg", w: "full", display: "flex", justifyContent: "space-between" },
                    React.createElement(IconButton, { size: "md", bg: "black.300", icon: isOpen ? React.createElement(CloseIcon, null) : React.createElement(HamburgerIcon, null), "aria-label": "Open Menu", display: { md: "none" }, _active: {
                            bg: "black.300",
                        }, _hover: {
                            bg: "black.300",
                        }, onClick: isOpen ? onClose : onOpen }),
                    React.createElement(HStack, { spacing: 8, alignItems: "center" },
                        React.createElement(Link, { href: "/" },
                            React.createElement(Image, { alt: "strata.im", src: "/logo.svg" })),
                        React.createElement(HStack, { as: "nav", spacing: 4, display: { base: "none", md: "flex" } }, Links.map((link) => (React.createElement(NavLink, { key: link.link, href: link.href }, link.link))))),
                    React.createElement(HStack, { align: "center", justify: ["center", "space-between", "flex-end", "flex-end"], direction: ["column", "row", "row", "row"], pt: "0" },
                        React.createElement(Flex, { justify: "center", align: "center", display: { base: "none", md: "flex" } },
                            React.createElement(DarkMode, null,
                                React.createElement(IconButton, { isRound: true, colorScheme: "gray", variant: "outline", "aria-label": "Toggle Dark Mode", icon: colorMode === "light" ? (React.createElement(Icon, { as: RiMoonLine })) : (React.createElement(Icon, { as: RiSunLine })), onClick: toggleColorMode }),
                                React.createElement(ProfileButton, null))),
                        React.createElement(Flex, { justify: "center", display: { base: "flex", md: "none" } },
                            React.createElement(DarkMode, null,
                                React.createElement(ProfileButton, { size: "sm" })))))),
            isOpen ? (React.createElement(Box, { pb: 4, display: { md: "none" } },
                React.createElement(VStack, { as: "nav", spacing: 4 }, Links.map((link) => (React.createElement(NavLink, { key: link.link, href: link.href }, link.link)))))) : null)));
};
//# sourceMappingURL=Header.js.map